diff options
author | Laurent Pinchart <laurent.pinchart@ideasonboard.com> | 2018-12-11 00:31:24 +0200 |
---|---|---|
committer | Laurent Pinchart <laurent.pinchart@ideasonboard.com> | 2018-12-11 00:31:24 +0200 |
commit | 0d96f3e2322c5eecdd99bf134a2d80429836b778 (patch) | |
tree | 64853b8b3848a92f0f4142e9b9754b991074cbf1 /utils/ipu3/ipu3-capture.sh | |
parent | ad8934db5b29810003a9a66b9c3a49f559ebff15 (diff) |
utils: ipu3: Abort when sensor or media device isn't found
Calling exit from a function only exits from the function, it doesn't
abort the whole script. Propagate the errors to stop operation when the
sensor or media device can't be found.
Signed-off-by: Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Diffstat (limited to 'utils/ipu3/ipu3-capture.sh')
-rwxr-xr-x | utils/ipu3/ipu3-capture.sh | 16 |
1 files changed, 6 insertions, 10 deletions
diff --git a/utils/ipu3/ipu3-capture.sh b/utils/ipu3/ipu3-capture.sh index af189da3..ba6147b4 100755 --- a/utils/ipu3/ipu3-capture.sh +++ b/utils/ipu3/ipu3-capture.sh @@ -20,7 +20,8 @@ find_sensor() { bus=$(grep "$sensor_name" /sys/class/video4linux/v4l-subdev*/name | cut -d ' ' -f 2) if [[ -z $bus ]]; then - return + echo "Sensor '$sensor_name' not found." >&2 + exit 1 fi echo "$sensor_name $bus" @@ -36,8 +37,8 @@ find_media_device() { done if [[ -z $mdev ]] ; then - echo "IPU3 media device not found." >&2 - exit 1 + echo "IPU3 media device not found." >&2 + exit 1 fi echo $mdev @@ -170,13 +171,8 @@ fi sensor_name=$1 -sensor=$(find_sensor $sensor_name) -if [[ -z $sensor ]] ; then - echo "Sensor '$sensor_name' not found." >&2 - exit 1 -fi - -mdev=$(find_media_device) +sensor=$(find_sensor $sensor_name) || exit +mdev=$(find_media_device) || exit mediactl="media-ctl -d $mdev" parse_pipeline $sensor |